<template>
    <div class="container">
        <div>
            <h2>Aof</h2>
            <table class="table">
                <thead>
                <tr>
                    <th scope="col">#ID</th>
                    <th scope="col">name</th>
                    <th scope="col">city</th>
                    <th scope="col">Manage</th>
                </tr>
                </thead>
                <tbody>
                <tr v-for="(user,index) in users">
                    <td>{{user.id}}</td>
                    <td>{{user.name}}</td>
                    <td>{{user.city}}</td>
                    <td>
                        <a :href="'/users/'+user.id+'/edit'" class="btn btn-info">Edit</a>
                        <a href="javascript:void(0)" v-on:click="deleteUser(user.id,index)" class="btn btn-danger">Delete</a>
                    </td>
                </tr>

                </tbody>
            </table>
            <div class="form-group">
                <a href="/users/create" class="btn-success btn">Create</a>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        mounted() {
            this.getUserData();
        },
        methods:{
            getUserData(){
                axios.get('api/users').then(response=>{
                    this.users = response.data;
                });
            },
            deleteUser(id,index){
                axios.delete('api/users/'+id).then(response=>{
                this.users.splice(index);
                })
            }
        },
        data(){
            return{
                users:[],
                user:{
                    id:0,
                    name:'',
                    city:''
                }
            }
        }
    }
</script>

<!--<style scoped>-->

<!--</style>-->
